%global momorel 4
%define real_name IO-AIO
%define real_ver 3.65

Summary:	Asynchronous Input/Output
Name:		perl-IO-AIO
Version:	%{real_ver}0
Release:	%{momorel}m%{?dist}
License:	Artistic or GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/~mlehmann/IO-AIO/
Source0:	http://www.cpan.org/authors/id/M/ML/MLEHMANN/IO-AIO-%{real_ver}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This module implements asynchronous I/O using whatever means your operating
system supports.


%prep
%setup -q -n %{real_name}-%{real_ver}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir="%{buildroot}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod \
           %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes COPYING README
%{_bindir}/treescan
%dir %{perl_vendorarch}/IO/
%{perl_vendorarch}/IO/AIO.pm
#%{perl_vendorarch}/IO/autoconf.pm
%dir %{perl_vendorarch}/auto/IO/
%{perl_vendorarch}/auto/IO/AIO/
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.650-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.650-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.650-2m)
- rebuild against perl-5.12.0

* Fri Apr  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.650-1m)
- update to 3.65

* Mon Jan 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.600-1m)
- update to 3.6

* Sat Jan  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.500-1m)
- update to 3.5

* Sun Jan  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.400-1m)
- update to 3.4

* Thu Nov 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.310-1m)
- update to 3.31

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.300-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.300-2m)
- rebuild against perl-5.10.1

* Sun Aug 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.300-1m)
- update to 3.3

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.261-1m)
- update to 3.261

* Wed Jul  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.26-1m)
- update to 3.26

* Sun Jun 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.25-1m)
- update to 3.25

* Sun Jun 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.23-1m)
- update to 3.23

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2-1m)
- update to 3.2

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.19-1m)
- update to 3.19

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.17-2m)
- rebuild against rpm-4.6

* Fri Nov 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.17-1m)
- update to 3.17

* Sun Oct 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16-1m)
- update to 3.16

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.15-1m)
- update to 3.15

* Sat Oct  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-1m)
- update to 3.1

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.07-1m)
- update to 3.07

* Wed Jul 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.06-1m)
- update to 3.06

* Fri Jun 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.05-1m)
- update to 3.05

* Wed Jun 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.04-1m)
- update to 3.04

* Mon Jun  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.03-1m)
- update to 3.03

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.02-1m)
- update to 3.02

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.62-1m)
- update to 2.62

* Fri Apr 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.61-1m)
- update to 2.61

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6-2m)
- rebuild against gcc43

* Tue Apr  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.6-1m)
- update to 2.6

* Sun Oct  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.51-1m)
- update to 2.51

* Fri Oct  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.5-1m)
- update to 2.5

* Tue Sep 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.41-1m)
- update to 2.41

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4-1m)
- update to 2.4

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.33-2m)
- use vendor

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.33-1m)
- import to Momonga from freshrpms.net

* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 1.73-1
- Initial RPM release.
- Not sure if the autoconf.pm should be included or not...

